http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/data#messageIdRemove queued messages from the downlink queue.
The ID of a given wireless device for which downlink messages will be deleted.
If message ID is <code>"*"</code>, it cleares the entire downlink queue for a given device, specified by the wireless device ID. Otherwise, the downlink message with the specified message ID will be deleted.
The wireless device type, which can be either Sidewalk or LoRaWAN.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/data#messageId' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/data#messageIdRemove queued messages from the downlink queue.
The ID of a given wireless device for which downlink messages will be deleted.
If message ID is <code>"*"</code>, it cleares the entire downlink queue for a given device, specified by the wireless device ID. Otherwise, the downlink message with the specified message ID will be deleted.
The wireless device type, which can be either Sidewalk or LoRaWAN.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/data#messageId' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}